/*
 *  libfbx-ati.h -- Primary header for ati optimizations
 *  (C)opyright 2001 U4X Labs
 *
 *  Written by: Paul Mundt <lethal@u4xlabs.com>
 *
 *  $Id: libfbx-ati.h,v 1.4 2001/03/03 01:34:43 lethal Exp $
 *
 *  	This is the place for all the declarations of ati hardware
 *  specific optimizations for the libfbx system go.
 *
 *  See ChangeLog for modifications, CREDITS for credits.
 *
 *  All source herein is copyright U4X Labs and its original author. 
 *  Any code modifications or additions are (C)opyright the original 
 *  author and U4X Labs respectively.
 *
 *  libfbx is free software; you can redistribute it and/or modify it 
 *  under the terms of the GNU Lesser General Public License as 
 *  published by the Free Software Foundation; either version 2.1 of 
 *  the License, or (at your option) any later version.
 *
 *  libfbx is distributed in the hope that it will be useful, but 
 *  WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the 
 *  GNU Lesser General Public License for more details.
 *
 *  You should have received a copy of the GNU Lesser General Public
 *  License along with libfbx; if not, write to the Free Software 
 *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307
 *  USA
 */
#ifndef __LIBFBX_ATI_H
#define __LIBFBX_ATI_H

#include <libfbx/libfbx-drivers.h>
#include <stdlib.h>
#include <linux/types.h>

#ifdef __cplusplus
extern "C" {
#endif /* __cplusplus */

#define CRTC_GEN_CNTL		0x001C	/* Dword offset 0_07 */
#define CRTC_EXT_CNTL		0x0054

#define DP_FRGD_COLOR		0x02C4
#define DP_SRC			0x02D8

#define BKGD_SRC_BKGD_CLR	0
#define FRGD_SRC_FRGD_CLR	0x100
#define MONO_SRC_ONE		0

#define DST_CNTL		0x0130
#define DST_LAST_PEL		0x20
#define DST_Y_TOP_TO_BOTTOM	2
#define DST_X_LEFT_TO_RIGHT	1
#define DST_X_Y			0x02E8
#define DST_HEIGHT_WIDTH	0x0118
#define DP_FRGD_CLR		0x02C4

#define FIFO_STAT		0x0310
#define GUI_STAT		0x0338

/* libfbx-ati.c */
inline void aty_blank(int val);
inline void aty128_blank(int val);
void aty_fill_rect(__s32 x1, __s32 y1, __s32 x2, __s32 y2, __s32 r, __s32 g, __s32 b, fb_surface *surface);

/* libfbx-ati-misc.c */
inline __u8 aty_ld_8(__u32 idx);
inline void aty_st_8(__u32 idx, __u8 val);
inline void aty_st_le32(__u32 idx, __u32 val);
inline __u32 aty_ld_le32(__u32 idx);
inline void aty_wait_fifo(__u16 entries);
inline void aty_wait_idle();

#ifdef __cplusplus
}
#endif /* __cplusplus */

#endif /* __LIBFBX_ATI_H */

