# Configure paths for libfbx
# Erik Andersen	30 May 1998
# Modified by Tero Pulkkinen (added the compiler checks... I hope they work..)
# Modified by Thomas Langen 16 Jan 2000 (corrected CXXFLAGS)
# Adapted to the gtkextra-- library by Cedric Gustin 11 Feb 2000
# Modified by Paul Mundt for libfbx library.

dnl Test for LIBFBX, and define LIBFBX_CFLAGS and LIBFBX_LIBS
dnl   to be used as follows:
dnl AM_PATH_LIBFBX([MINIMUM-VERSION, [ACTION-IF-FOUND [, ACTION-IF-NOT-FOUND]]])
dnl
AC_DEFUN(AM_PATH_LIBFBX,
[dnl 
dnl Get the cflags and libraries from the libfbx-config script
dnl
AC_ARG_WITH(LIBFBX-prefix,[  --with-libfbx-prefix=PREFIX
                          Prefix where libfbx is installed (optional)],
            libfbx_config_prefix="$withval", libfbx_config_prefix="")
AC_ARG_WITH(libfbx-exec-prefix,[  --with-libfbx-exec-prefix=PREFIX
                          Exec prefix where libfbx is installed (optional)],
            libfbx_config_exec_prefix="$withval", libfbx_config_exec_prefix="")
AC_ARG_ENABLE(libfbxtest, [  --disable-libfbxtest     Do not try to compile and run a test libfbx program],
		    , enable_libfbxtest=yes)

  if test x$libfbx_config_exec_prefix != x ; then
     libfbx_config_args="$libfbx_config_args --exec-prefix=$libfbx_config_exec_prefix"
     if test x${LIBFBX_CONFIG+set} != xset ; then
        LIBFBX_CONFIG=$libfbx_config_exec_prefix/bin/libfbx-config
     fi
  fi
  if test x$libfbx_config_prefix != x ; then
     libfbx_config_args="$libfbx_config_args --prefix=$libfbx_config_prefix"
     if test x${LIBFBX_CONFIG+set} != xset ; then
        LIBFBX_CONFIG=$libfbx_config_prefix/bin/libfbx-config
     fi
  fi

  AC_PATH_PROG(LIBFBX_CONFIG, libfbx-config, no)
  min_libfbx_version=ifelse([$1], ,0.1.1,$1)

  AC_MSG_CHECKING(for libfbx - version >= $min_libfbx_version)
  no_libfbx=""
  if test "$LIBFBX_CONFIG" = "no" ; then
    no_libfbx=yes
    AC_MSG_RESULT(no)
  else
    AC_LANG_SAVE
    AC_LANG_CPLUSPLUS

    LIBFBX_CFLAGS=`$LIBFBX_CONFIG $libfbx_config_args --cflags`
    LIBFBX_LIBS=`$LIBFBX_CONFIG $libfbx_config_args --libs`
    libfbx_config_major_version=`$LIBFBX_CONFIG $libfbx_config_args --version | \
           sed 's/\([[0-9]]*\).\([[0-9]]*\).\([[0-9]]*\)/\1/'`
    libfbx_config_minor_version=`$LIBFBX_CONFIG $libfbx_config_args --version | \
           sed 's/\([[0-9]]*\).\([[0-9]]*\).\([[0-9]]*\)/\2/'`
    libfbx_config_micro_version=`$LIBFBX_CONFIG $libfbx_config_args --version | \
           sed 's/\([[0-9]]*\).\([[0-9]]*\).\([[0-9]]*\)/\3/'`
    AC_MSG_RESULT(yes)
  fi
  AC_SUBST(LIBFBX_CFLAGS)
  AC_SUBST(LIBFBX_LIBS)
])

